import request from "@/utils/request";
const baseURL = "/product/admin/shopStorage";
// 存酒-配置
const AuthAPI = {
  // 列表
  getList(params: any) {
    return request<any, Responseres>({
      url: `${baseURL}/list`,
      method: "get",
      params,
    });
  },
  /** 分页*/
  getPage(params: any) {
    return request<any, Responseres>({
      url: `${baseURL}/page`,
      method: "get",
      params,
    });
  },
  // 新增
  add(data: any) {
    return request<any, Responseres>({
      url: `${baseURL}`,
      method: "post",
      data: { ...data },
    });
  },
  // 详情
  getinfo(id: number) {
    return request<any, Responseres>({
      url: `${baseURL}/${id}`,
      method: "get",
    });
  },
  // 编辑
  update(data: Object) {
    return request<any, Responseres>({
      url: `${baseURL}`,
      method: "put",
      data,
    });
  },
  // 删除
  deleteByIds(id: number | String) {
    return request<any, Responseres>({
      url: `${baseURL}/${id}`,
      method: "delete",
    });
  },
  // 存酒统计
  getcount() {
    return request<any, Responseres>({
      url: `${baseURL}/count`,
      method: "get",
    });
  },

};
export interface Responseres {
  code?: number | null;
  data?: any;
  msg?: null | string;
  [property: string]: any;
}

export default AuthAPI;